--- debian/boinc-client.init	2008-01-19 20:50:40.000000000 +0100
+++ /etc/init.d/boinc-client	2008-01-19 16:12:43.000000000 +0100
@@ -129,6 +129,13 @@
       (schedtool -n 19 -N $pid $children >/dev/null \
         && log_progress_msg "normal")
     fi
+
+    # Adjust Linux CFS CPU share (default is 1024, 1 would halt the system):
+    UID=`id -u $BOINC_USER`
+    CPU_SHARE_FILE="/sys/kernel/uids/$UID/cpu_share"
+    if [ -f "$CPU_SHARE_FILE" ]; then
+      echo 2 > "$CPU_SHARE_FILE"
+    fi
   fi
   log_end_msg 0
 }
@@ -148,6 +155,13 @@
         schedtool $children
       fi
     fi
+
+    UID=`id -u $BOINC_USER`
+    CPU_SHARE_FILE="/sys/kernel/uids/$UID/cpu_share"
+    if [ -f "$CPU_SHARE_FILE" ]; then
+      log_success_msg "cpu_share: `cat "$CPU_SHARE_FILE"`"
+    fi
+
   else
     log_success_msg "$STATUS stopped."
   fi
